package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 人员管理对象 personnel_management
 * 
 * @author ruoyi
 * @date 2024-02-28
 */
public class PersonnelManagement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 人员ID */
    private Long personneId;

    /** 人员姓名 */
    @Excel(name = "人员姓名")
    private String personneName;

    /** 人员手机号 */
    @Excel(name = "人员手机号")
    private String personnePhone;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 人脸数据 */
    @Excel(name = "人脸数据")
    private String humanFaceData;

    /** 门禁 */
    @Excel(name = "门禁")
    private String guard;

    /** 是否启用  0：是，1：否 */
    @Excel(name = "是否启用  0：是，1：否")
    private String isEnable;


    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    public void setPersonneId(Long personneId) 
    {
        this.personneId = personneId;
    }

    public Long getPersonneId() 
    {
        return personneId;
    }
    public void setPersonneName(String personneName) 
    {
        this.personneName = personneName;
    }

    public String getPersonneName() 
    {
        return personneName;
    }
    public void setPersonnePhone(String personnePhone) 
    {
        this.personnePhone = personnePhone;
    }

    public String getPersonnePhone() 
    {
        return personnePhone;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setHumanFaceData(String humanFaceData) 
    {
        this.humanFaceData = humanFaceData;
    }

    public String getHumanFaceData() 
    {
        return humanFaceData;
    }
    public void setGuard(String guard) 
    {
        this.guard = guard;
    }

    public String getGuard() 
    {
        return guard;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    public String getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(String isEnable) {
        this.isEnable = isEnable;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("personneId", getPersonneId())
            .append("personneName", getPersonneName())
            .append("personnePhone", getPersonnePhone())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("humanFaceData", getHumanFaceData())
            .append("guard", getGuard())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
